#!/bin/sh -x 
#
# ipsec.sh to run on lantronix device BEFORE linuxsdk script
#
# for testing we use
#   10.0.1.0/24 -- lantronix ---- linuxsdk -- 10.0.2.0/24
# lantronix eth0 has 192.168.16.101/24
# linuxsdk eth1 has 192.168.16.102/24

# check that /etc/ipsec.d is valid; if it isn't pluto will have
# crashed (see /var/log/messages).

certutil -L -d /etc/ipsec.d
# certutil -N -d /etc/ipsec.d

tail -f /var/log/messages &

addconn example-psk
whack --listen
whack --initiate --name example-psk
ping -I 10.0.1.101 10.0.2.202
