#!/bin/sh -x 
#
# ipsec.sh to run on lantronix device BEFORE linuxsdk script
#
# for testing we use
#   10.0.1.0/24 -- lantronix ---- linuxsdk -- 10.0.0.0/24
# lantronix eth0 has 192.168.16.101/24
# linuxsdk eth1 has 192.168.16.100/24

# merge linux/user/libreswan/config/ipsec.{secrets,conf} into /etc

rm -f /etc/ipsec.d/*.db
certutil -N -d /etc/ipsec.d
# password: (blank)
pk12util -i ../east.p12 -d /etc/ipsec.d
pk12util -i ../west.p12 -d /etc/ipsec.d
# password: foobar

ipsec setup start
ipsec auto --add example-x509
ping -I 10.0.2.202 10.0.1.101
